/*
   libflame
   An object-based infrastructure for developing high-performance
   dense linear algebra libraries.

   Copyright (C) 2011, The University of Texas

   libflame is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   libflame is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with libflame; if you did not receive a copy, see
   http://www.gnu.org/licenses/.

   For more information, please contact us at flame@cs.utexas.edu or
   send mail to:

   Field G. Van Zee and/or
   Robert A. van de Geijn
   The University of Texas at Austin
   Department of Computer Sciences
   1 University Station C0500
   Austin TX 78712
*/

// --- Abort prototypes --------------------------------------------------------

void bli_abort( void );
void bli_abort_msg( char* message );

// --- Parameter-mapping prototypes --------------------------------------------

void bli_param_map_to_netlib_trans( char blis_trans, void* blas_trans );
void bli_param_map_to_netlib_uplo(  char blis_uplo,  void* blas_uplo );
void bli_param_map_to_netlib_side(  char blis_side,  void* blas_side );
void bli_param_map_to_netlib_diag(  char blis_diag,  void* blas_diag );

/*
void blis_param_map_to_flame_trans(  char* trans,  FLA_Trans*  flame_trans );
void blis_param_map_to_flame_uplo(   char* uplo,   FLA_Uplo*   flame_uplo );
void blis_param_map_to_flame_side(   char* side,   FLA_Side*   flame_side );
void blis_param_map_to_flame_diag(   char* diag,   FLA_Diag*   flame_diag );
void blis_param_map_to_flame_direct( char* direct, FLA_Direct* flame_direct );
void blis_param_map_to_flame_storev( char* storev, FLA_Direct* flame_storev );
void blis_param_map_to_flame_inv(    char* inv,    FLA_Inv*    flame_inv );
*/
